Upstream information

CVE-2007-3126 at MITRE

Description

Gimp before 2.8.22 allows context-dependent attackers to cause a denial of service (crash) via an ICO file with an InfoHeader containing a Height of zero, a similar issue to CVE-2007-2237.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 2.9
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:A/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Adjacent Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
SUSE Bugzilla entry: 1032241 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • gimp >= 2.8.18-8.1
  • gimp-lang >= 2.8.18-8.1
  • gimp-plugins-python >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-545
SUSE Linux Enterprise Desktop 12 SP3
  • gimp >= 2.8.18-8.1
  • gimp-lang >= 2.8.18-8.1
  • gimp-plugins-python >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gimp
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gimp >= 2.8.18-8.1
  • gimp-devel >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-545
SUSE Linux Enterprise Software Development Kit 12 SP3
  • gimp-devel >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA gimp-devel
SUSE Linux Enterprise Workstation Extension 12 SP2
  • gimp >= 2.8.18-8.1
  • gimp-lang >= 2.8.18-8.1
  • gimp-plugins-python >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-545
SUSE Linux Enterprise Workstation Extension 12 SP3
  • gimp >= 2.8.18-8.1
  • gimp-lang >= 2.8.18-8.1
  • gimp-plugins-python >= 2.8.18-8.1
  • libgimp-2_0-0 >= 2.8.18-8.1
  • libgimpui-2_0-0 >= 2.8.18-8.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA gimp
SUSE Linux Enterprise Workstation Extension 15
  • gimp >= 2.8.22-3.42
  • gimp-devel >= 2.8.22-3.42
  • gimp-lang >= 2.8.22-3.42
  • gimp-plugins-python >= 2.8.22-3.42
  • libgimp-2_0-0 >= 2.8.22-3.42
  • libgimpui-2_0-0 >= 2.8.22-3.42
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA gimp
openSUSE Leap 15.0
  • gimp >= 2.8.22-lp150.3.8
  • gimp-lang >= 2.8.22-lp150.3.8
  • gimp-plugins-python >= 2.8.22-lp150.3.8
  • libgimp-2_0-0 >= 2.8.22-lp150.3.8
  • libgimpui-2_0-0 >= 2.8.22-lp150.3.8
Patchnames:
openSUSE Leap 15.0 GA gimp
openSUSE Leap 42.2
  • gimp >= 2.8.18-2.3.1
  • gimp-debuginfo >= 2.8.18-2.3.1
  • gimp-debugsource >= 2.8.18-2.3.1
  • gimp-devel >= 2.8.18-2.3.1
  • gimp-devel-debuginfo >= 2.8.18-2.3.1
  • gimp-help-browser >= 2.8.18-2.3.1
  • gimp-help-browser-debuginfo >= 2.8.18-2.3.1
  • gimp-lang >= 2.8.18-2.3.1
  • gimp-plugin-aa >= 2.8.18-2.3.1
  • gimp-plugin-aa-debuginfo >= 2.8.18-2.3.1
  • gimp-plugins-python >= 2.8.18-2.3.1
  • gimp-plugins-python-debuginfo >= 2.8.18-2.3.1
  • libgimp-2_0-0 >= 2.8.18-2.3.1
  • libgimp-2_0-0-32bit >= 2.8.18-2.3.1
  • libgimp-2_0-0-debuginfo >= 2.8.18-2.3.1
  • libgimp-2_0-0-debuginfo-32bit >= 2.8.18-2.3.1
  • libgimpui-2_0-0 >= 2.8.18-2.3.1
  • libgimpui-2_0-0-32bit >= 2.8.18-2.3.1
  • libgimpui-2_0-0-debuginfo >= 2.8.18-2.3.1
  • libgimpui-2_0-0-debuginfo-32bit >= 2.8.18-2.3.1
Patchnames:
openSUSE-2017-462
openSUSE Leap 42.3
  • gimp >= 2.8.18-4.4
  • gimp-help-browser >= 2.8.18-4.4
  • gimp-lang >= 2.8.18-4.4
  • gimp-plugin-aa >= 2.8.18-4.4
  • gimp-plugins-python >= 2.8.18-4.4
  • libgimp-2_0-0 >= 2.8.18-4.4
  • libgimpui-2_0-0 >= 2.8.18-4.4
Patchnames:
openSUSE Leap 42.3 GA gimp


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 gimp Affected
SUSE Linux Enterprise Desktop 12 SP2 gimp Released
SUSE Linux Enterprise SDK 11 SP4 gimp Affected
SUSE Linux Enterprise SDK 12 SP1 gimp Affected
SUSE Linux Enterprise SDK 12 SP2 gimp Released
SUSE Linux Enterprise Workstation Extension 12 SP1 gimp Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 gimp Released